// AutoFile.h: interface for the CAutoFile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AUTOFILE_H__16067665_0423_4CDC_BA86_755CCDB895B7__INCLUDED_)
#define AFX_AUTOFILE_H__16067665_0423_4CDC_BA86_755CCDB895B7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <TCHAR.H>
#include "miniconsfile.h"

class CSerialPort;
class CConsole;

const int MAX_LINE=200;
const int MAX_DEPTH=16;

class CAutoFile : public CMiniconsFile
{
public:
	CAutoFile();
	virtual ~CAutoFile();
	bool OpenForReading(TCHAR* filename, int lastDepth);
	bool NextLine(CSerialPort& port, CConsole& console);

private:
	int ReadNextLine(TCHAR* line, char* asciiLine, int maxChars);
	int m_Depth;
};

#endif // !defined(AFX_AUTOFILE_H__16067665_0423_4CDC_BA86_755CCDB895B7__INCLUDED_)
